Flavor:
  subClassOf: [ ]
  prefix: 'gax-core'
  attributes:
  - title: 'name'
    prefix: 'gax-core'
    dataType: 'xsd:string'
    cardinality:
      minCount: 0
      maxCount: 1
    description: 'Unique name of this flavor.'
    exampleValues: [ 'small', 'medium', 'large' ]
  - title: 'cpu'
    prefix: 'gax-core'
    dataType: 'gax-core:CPU'
    cardinality:
          minCount: 0
          maxCount: 1
    description: 'Detailed information about CPU used by this flavor.'
    exampleValues: [ '(a structured object of type gax-core_CPU']
  - title: 'numberOfvCPUs'
    prefix: 'gax-core'
    dataType: 'xsd:integer'  ## integer > 0
    cardinality:
          minCount: 0
          maxCount: 1
    description: 'Number of virtual CPUs.'
    exampleValues: [ '2', '8']
  - title: 'gpu'
    prefix: 'gax-core'
    dataType: 'gax-core:GPU'
    cardinality:
          minCount: 0
          maxCount: 1
    description: 'Detailed information about GPU used by this flavor.'
    exampleValues: [ '(a structured object of type gax-core_CPU']
  - title: 'numberOfvGPUs'
    prefix: 'gax-core'
    dataType: 'xsd:integer'  ## integer > 0
    cardinality:
          minCount: 0
          maxCount: 1
    description: 'Number of virtual GPUs. Either set numberOfvGPU or GpuPassThrough=true. Using both options are prohibitted.'
    exampleValues: [ '2', '8']
  - title: 'gpuPassThrough'
    prefix: 'gax-core'
    dataType: 'xsd:boolean'
    cardinality:
          minCount: 0
          maxCount: 1
    description: 'Default: False. True, if GPU Pass-Through is activated. Either set numberOfvGPU or GpuPassThrough=true. Both options are prohibitted.'
    exampleValues: [ '2', '8']
  - title: 'fpga'
    prefix: 'gax-core'
    dataType: 'gax-core:FPGA'
    cardinality:
          minCount: 0
          maxCount: 1
    description: 'Detailed information about FPGA used by this flavor.'
    exampleValues: [ '(a structured object of type gax-core:FPGA']
  - title: 'ramSize'
    prefix: 'gax-core'
    dataType: 'gax-core:Measure'
    cardinality:
          minCount: 0
          maxCount: 1
    description: 'Amount of memory available for the server.'
    exampleValues: [ '(a structured object of type gax-core:Measure)']
  - title: 'rootDisk'
    prefix: 'gax-core'
    dataType: 'gax-core:Disk'
    cardinality:
          minCount: 0
          maxCount: 1
    description: 'Detailed information about root disk of this flavor.'
    exampleValues: [ '(a structured object of type gax-core:Disk)']
  - title: 'additionalDisk'
    prefix: 'gax-core'
    dataType: 'gax-core:Disk'
    description: 'Detailed information about additional disks of this flavor.'
    exampleValues: [ '(a structured object of type gax-core:Disk)']
  - title: 'performanceClass'
    prefix: 'gax-core'
    dataType: 'xsd:string' # controlled vocab
    cardinality:
          minCount: 0
          maxCount: 1
    description: 'Ability to lable high-performance CPUs, disks, network. Choose one of the following classes: CPU, GPU, disk, network, none. Default value none'
    exampleValues: [ 'cpu', 'disk', 'network', 'gpu', 'none']
  - title: 'hypervisor'
    prefix: 'gax-core'
    dataType: 'xsd:string' # controlled vocab Software or bare-metal
    cardinality:
          minCount: 0
          maxCount: 1
    description: 'Ability to lable high-performance CPUs, disks, network. Choose one of the following classes: CPU, GPU, disk, network, none. Default value none'
    exampleValues: [ '(a structured object of type gax-resource:Software)', 'bare-metal']

    -   title: 'cpu'
        prefix: 'gax-core'
        dataType: 'gax-core:CPU'
        cardinality: '0..1'
        description: 'Detailed information about CPU used by this flavor.'
        exampleValues: [ '(a structured object of type gax-core_CPU']

    -   title: 'numberOfvCPUs'
        prefix: 'gax-core'
        dataType: 'xsd:integer'  ## integer > 0
        cardinality: '0..1'
        description: 'Number of virtual CPUs.'
        exampleValues: [ '2', '8']

    -   title: 'gpu'
        prefix: 'gax-core'
        dataType: 'gax-core:GPU'
        cardinality: '0..1'
        description: 'Detailed information about GPU used by this flavor.'
        exampleValues: [ '(a structured object of type gax-core_CPU']

    -   title: 'numberOfvGPUs'
        prefix: 'gax-core'
        dataType: 'xsd:integer'  ## integer > 0
        cardinality: '0..1'
        description: 'Number of virtual GPUs. Either set numberOfvGPU or GpuPassThrough=true. Using both options are prohibitted.'
        exampleValues: [ '2', '8']

    -   title: 'GpuPassThrough'
        prefix: 'gax-core'
        dataType: 'xsd:boolean'
        cardinality: '0..1'
        description: 'Default: False. True, if GPU Pass-Through is activated. Either set numberOfvGPU or GpuPassThrough=true. Both options are prohibitted.'
        exampleValues: [ '2', '8']

    -   title: 'fpga'
        prefix: 'gax-core'
        dataType: 'gax-core:FPGA'
        cardinality: '0..1'
        description: 'Detailed information about FPGA used by this flavor.'
        exampleValues: [ '(a structured object of type gax-core:FPGA']

    -   title: 'ramSize'
        prefix: 'gax-core'
        dataType: 'gax-core:Measure'
        cardinality: '0..1'
        description: 'Amount of memory available for the server.'
        exampleValues: [ '(a structured object of type gax-core:Measure)']

    -   title: 'rootDisk'
        prefix: 'gax-core'
        dataType: 'gax-core:Disk'
        cardinality: '0..1'
        description: 'Detailed information about root disk of this flavor.'
        exampleValues: [ '(a structured object of type gax-core:Disk)']

    -   title: 'additionalDisk'
        prefix: 'gax-core'
        dataType: 'gax-core:Disk'
        cardinality: '0..1'
        description: 'Detailed information about additional disks of this flavor.'
        exampleValues: [ '(a structured object of type gax-core:Disk)']

    -   title: 'performanceClass'
        prefix: 'gax-core'
        dataType: 'xsd:string' # controlled vocab
        cardinality: '0..1'
        description: 'Ability to lable high-performance CPUs, disks, network. Choose one of the following classes: CPU, GPU, disk, network, none. Default value none'
        exampleValues: [ 'cpu', 'disk', 'network', 'gpu', 'none']

    -   title: 'hypervisor'
        prefix: 'gax-core'
        dataType: 'xsd:string' # controlled vocab Software or bare-metal
        cardinality: '0..1'
        description: 'Ability to lable high-performance CPUs, disks, network. Choose one of the following classes: CPU, GPU, disk, network, none. Default value none'
        exampleValues: [ '(a structured object of type gax-resource:Software)', 'bare-metal']
